OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.BlendEquationSeparate

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBlendEquationSeparate :: MonadIO m => m Bool
- gl_EXT_blend_equation_separate :: Bool
- pattern GL_BLEND_EQUATION_ALPHA_EXT :: GLenum
- pattern GL_BLEND_EQUATION_RGB_EXT :: GLenum
- glBlendEquationSeparateEXT :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetEXTBlendEquationSeparate :: MonadIO m => m Bool Source #

Is the EXT_blend_equation_separate extension supported?

gl_EXT_blend_equation_separate :: Bool Source #

Is the EXT_blend_equation_separate extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBlendEquationSeparate` in those cases instead.

# Enums

pattern GL_BLEND_EQUATION_ALPHA_EXT :: GLenum Source #

pattern GL_BLEND_EQUATION_RGB_EXT :: GLenum Source #

# Functions

glBlendEquationSeparateEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `modeRGB` of type BlendEquationModeEXT.
-> GLenum | `modeAlpha` of type BlendEquationModeEXT.
-> m () |

This command is an alias for `glBlendEquationSeparate`.